#======
# Copyright (c) IBM Corp. 2011, 2015.
# All rights reserved. This program is made available
# under the terms of the Eclipse Public License v1.0
# which accompanies this distribution, and is available at
# http://www.eclipse.org/legal/epl-v10.html
#=======


#
# IMPORTS
#
from snack import *


#
# CONSTANTS
#

#
# CODE
#
class SplashScreen:
    """
    Verify the hard disk selected is part od a LVM Volume Group
    """

    def __init__(self, screen, params):
        """
        Constructor

        Args:
            screen (SnackScreen): SnackScreen instance
            params (dict): screen input parameters
        """
        self.__screen = screen
        self.__grid = GridForm(self.__screen, "IBM PowerKVM", 1, 1)

        version_parts = params["productVersion"].split(".")[:4]
        omsg = TextboxReflowed(30, "IBM PowerKVM %s..." % ".".join(version_parts))
        self.__grid.add(omsg, 0, 0)
    # __init__()

    def run(self):
        """
        Displays a message

        Args:
            msg (str): message to be displayed

        Returns:
            dict: screen output parameters
        """
        self.__grid.draw()
        self.__screen.refresh()

        return {}
